/*
 * Jalview - A Sequence Alignment Editor and Viewer ($$Version-Rel$$)
 * Copyright (C) $$Year-Rel$$ The Jalview Authors
 *
 * This file is part of Jalview.
 *
 * Jalview is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * Jalview is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Jalview.  If not, see <http://www.gnu.org/licenses/>.
 * The Jalview Authors are detailed in the 'AUTHORS' file.
 */
package jalview.util.dialogrunner;

import org.testng.Assert;
import org.testng.annotations.Test;

public class ResponseTest
{
  @Test
  public void testResonse() {
    Response intr=new Response(1),intrCopy=new Response(1);
    Response strr=new Response("1"),strrcopy=new Response("1");
    Response objr=new Response(Double.valueOf(1d));
    Assert.assertTrue(intr.equals(intrCopy));
    Assert.assertTrue(strr.equals(strrcopy));
    Assert.assertFalse(intr.equals(strr));
    Assert.assertFalse(intr.equals(objr));
    Assert.assertFalse(strr.equals(objr));
    Assert.assertEquals(intr.toString(), "DialogRunner int: 1");
    Assert.assertEquals(strr.toString(), "DialogRunner str: '1'");
    Assert.assertEquals(objr.toString(), "DialogRunner obj: 1.0");
  }
}
